de.esprit.netsuite.server.cpu

## Class TransferThreadPool

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - de.esprit.netsuite.common.AbstractThreadPool
      - - de.esprit.netsuite.server.cpu.ServerThreadPool
        - - de.esprit.netsuite.server.cpu.TransferThreadPool

- All Implemented Interfaces:
    Dumpable, ServerObject, java.util.concurrent.Executor, java.util.concurrent.ExecutorService

      public class TransferThreadPool
      extends ServerThreadPool

  This thread pool provides threads used for file transfers. Note that these threads run with a low priority in order to keep the server responsive to further requests.

  This thread pool is not limited in size, but the maximum number of transfers is checked within the ParallelTransfersList of the server.

  Author:
    Rainer Buesch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferThreadPool(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `beforeExecute(java.lang.Thread t, java.lang.Runnable r)`
    `protected java.util.concurrent.ThreadFactory` | `createThreadFactory()`

    - ### Methods inherited from class de.esprit.netsuite.server.cpu.ServerThreadPool

      `getServerContext, getServerStatistic, sendErrorMail`

    - ### Methods inherited from class de.esprit.netsuite.common.AbstractThreadPool

      `afterExecute, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferThreadPool

          public TransferThreadPool(ServerContext serverCtx)

  - ### Method Detail

    - #### createThreadFactory

          protected java.util.concurrent.ThreadFactory createThreadFactory()

      Specified by:
        `createThreadFactory` in class `AbstractThreadPool`

    - #### beforeExecute

          protected void beforeExecute(java.lang.Thread t,
                           java.lang.Runnable r)

      Overrides:
        `beforeExecute` in class `java.util.concurrent.ThreadPoolExecutor`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.